:root {
    --font-titulo-card: Oswald, Sans-Serif;
    --cor-primaria-rgb: rgb(242 95 112);
    --cor-primaria-error: #dc3545;
}

/* Sobrescreve a largura definida pelo Blogger */
.content-outer:has(.store-container, .checkout, .container-pedido) {
    max-width: none;
}

.content-outer:has(.store-container, .checkout, .container-pedido, .loading) .post-title,
.content-outer:has(.store-container, .checkout, .container-pedido, .loading) .post-header {
    display: none;
}

/* Loding */
#loading-screen {
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
    width: 50px;
    height: 50px;
    margin: -25px 0 0 -25px;
    border: 5px solid #f3f3f3;
    border-radius: 50%;
    border-top: 5px solid var(--cor-primaria);
    -webkit-animation: spin 1s linear infinite;
    animation: spin 1s linear infinite;
}


.loader {
    border: 5px solid #f3f3f3;
    border-radius: 50%;
    border-top: 5px solid #3498db;
    width: 50px;
    height: 50px;
    left: 50%;
    -webkit-animation: spin 2s linear infinite;
    /* Safari */
    animation: spin 2s linear infinite;
}


@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

/* Add animation to "page content" */
.animate-bottom {
    position: relative;
    -webkit-animation-name: animatebottom;
    -webkit-animation-duration: 1s;
    animation-name: animatebottom;
    animation-duration: 1s
}

@-webkit-keyframes animatebottom {
    from {
        bottom: -100px;
        opacity: 0
    }

    to {
        bottom: 0px;
        opacity: 1
    }
}

@keyframes animatebottom {
    from {
        bottom: -100px;
        opacity: 0
    }

    to {
        bottom: 0;
        opacity: 1
    }
}


.btn-loader {
    border: 3px solid #f3f3f3;
    border-top: 3px solid #fff;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    animation: spin 1s linear infinite;
    display: inline-block;
    vertical-align: middle;
    margin-right: 10px;
    display: none;
}


.msg-sucesso {
    color: #28a745;
}

.msg-erro {
    color: var(--cor-primaria-error);
    font-size: 85%;
    margin-top: 0.25rem;
}


.form-control {
    width: 100%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-sizing: border-box;
    font-family: inherit;
    font-size: 1em;
}

.form-control:focus {
    border-bottom-color:
        color-mix(in srgb, var(--cor-primaria), #fff 30%);
    border-bottom-width: 3px;
    outline: none;
}

.form-control.is-invalid {
    border-color: var(--cor-primaria-error);
}

.form-control.is-invalid:focus {
    border: 1px solid var(--cor-primaria-error);
    border-bottom-width: 3px;
    outline: none;
}